/*--------------------------------------------------------Fonts--------------------------------------------------------*/
/* dm-serif-display-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Serif Display';
  font-style: normal;
  font-weight: 400;
  src: url('/fonts/dm-serif-display-v17-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* oswald-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 400;
  src: url('/fonts/oswald-v57-latin/oswald-v57-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* oswald-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Oswald';
  font-style: normal;
  font-weight: 700;
  src: url('/fonts/oswald-v57-latin/oswald-v57-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/*--------------------------------------------------------Fonts--------------------------------------------------------*/

/*---------------------Default Options---------------------*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  scroll-behavior: smooth;
  font-family: "Arial";
}
:root {
  --body-color: rgb(253, 246, 216);
  --section1-color: rgb(112, 40, 30);
  --box-header-color: rgb(185, 152, 61);
  --bg-color: #080808;
  --second-bg-color: #101010;
  --text-color: white;
  --main-color: #ea580c;
  --hover-text:gold;
}
html{
  font-size: 60%;
  overflow-x: hidden;
  
  scroll-padding-top: 9rem;
}
body{
  background: var(--body-color);
  color: var(--text-color);
}
section{
  min-height: 50vh;
  /*outline: 2px solid rgb(245, 0, 245); for testing purposes, shows section borders*/

  /* padding: 10rem ; adds padding for all sections*/
}
/*---------------------Default Options---------------------*/


/*---------------------Header & Navagation Bar---------------------*/
.header{
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  padding: 0.5% 5%;
  background: var(--section1-color);
  backdrop-filter: blur(10px);

  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
  /* height: 30rem; */
}

#menu-icon{
  font-size: 3.5rem;
  color: var(--box-header-color);
  display: none;
}
.logo{
  cursor: pointer;
  transition: 0.3s ease-in-out;
}
/* Size & Margins of Navbar Logo Home Button*/
.logo img{
  width: 25rem;
  padding-top: 5%;
}
.logo:hover{
  transform: scale(1.03);
}

.navbar{
  margin-bottom: 1rem;
}
.navbar a{
  font-size: 20px;
  font-family: 'Oswald';
  font-weight: 400;
  letter-spacing: 1px; 
  color: var(--text-color);
  margin-left: 4rem;
  font-weight: 500;
  transition: 0.3s ease-in-out;
  border-bottom: 3px solid transparent;
  
}
.navbar a:hover{
  color: var(--box-header-color);
}
/*---------------------Header & Navagation Bar---------------------*/


/*---------------------Buttons & Icons---------------------*/
.main-btn{
  font-size: 20px;
  font-family: 'Oswald';
  font-weight: 400;
  padding: 1rem 2rem;
  margin-top: 1.5rem;
  background-color: var(--box-header-color);
  letter-spacing: 1px;
  cursor: pointer;
  transition: 0.3s ease-in-out;
  color: white;
  border: none;
  text-wrap: nowrap;
}
.main-btn:hover{
  transform: scale(1.05);
}
.social-icons a{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  font-size: 5rem;
  padding: 1rem;
  background: transparent;
  background-color: var(--box-header-color);
  border-radius: 50%;
  color: var(--text-color);
  margin: 2rem 0.5rem;
  transition: 0.3s ease-in-out;
}
.social-icons a:hover{
  background: var(--text-color);
  color: var(--section1-color);
  transform: scale(1.06)translateY(-5px);
}
.btn{
  padding: 1rem 1rem;
  background: var(--box-header-color);
  font-family: 'DM Serif Display';
  font-size: 18px;
  letter-spacing: 1px;
  color: var(--text-color);
  border: 2px solid transparent;
  transition: 0.3s ease-in-out;
}
.btn:hover{
  transform: scale(1.03);
}
/*---------------------Buttons & Icons---------------------*/


/*---------------------Home Page Hero Header---------------------*/
.home-hero{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("/images/main_logos/iconostasis-header.jpeg?v=1");
  /* Set a specific height */
  height: 60rem;
  margin-top: 8.3rem;
  /* Position and center the image to scale nicely on all screens */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
.home-hero-text{
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
}
.home-hero-text h1{
  font-family: 'Oswald', sans-serif;
  font-size: clamp(2.5rem, 5vw, 4.5rem);
  font-weight: 400;
  letter-spacing: 1px;
}
.home-hero-text h2{
  font-family: 'DM Serif Display', sans-serif;
  font-size: clamp(3rem, 5vw, 6rem);

  letter-spacing: 1px;
}
/*---------------------Home Page Hero Header---------------------*/


/*---------------------Schedule---------------------*/
.schedule-heading{
  margin-bottom: 5rem;
}
.schedule{
  background-color: var(--body-color);
  color: black;
  padding: 5rem 15%;
}
.schedule-container{
  display: grid;
  /*grid-template-columns: auto, auto, auto;*/
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  align-items: center;
  gap: 2rem;
}
.schedule-btn-container{
  display: flex;
  justify-content: center;
  /*grid-template-columns: auto, auto, auto;*/
  align-items: center;
  text-align: center;
  gap: 2rem;
  padding: 3rem;
}
/**/
.schedule-box{
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--text-color);
  height: 150px;
}
.schedule-box-test{
  display: grid;
  align-items: center;
  background: var(--section1-color);
  height: 150px;
  /*cursor: pointer;*/
}
.schedule-box-cap{
  display: grid;
  align-items: flex-end;
  background: var(--box-header-color);
  height: 180px;
  /*cursor: pointer;*/
}
.schedule-info{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 1rem 1rem 1rem 1rem;
}
.schedule-heading h2{
  font-family: 'DM Serif Display';
  font-size: clamp(24px, 5vw, 32px);
  color: var(--bg-color);
  text-align: center;
  letter-spacing: 1px;
}
.schedule-box-cap h4{
  font-family: 'Oswald';
  font-size: 19px;
  font-weight: 700;
  text-align: center;
  color: var(--text-color);
  letter-spacing: 1px;
}
.schedule-info p{
  font-family: 'Oswald';
  font-size: 17px;
  font-weight: 400;
  line-height: 1.7;
  color: var(--text-color);
  letter-spacing: 1px;
}
/*---------------------Schedule---------------------*/


/*---------------------Info---------------------*/
.info{
  background-color: var(--section1-color);
  color: var(--text-color);
  padding: 5rem 10%;
}
.info-container, .info-container-rev{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}
.info-info, .info-info-rev{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 1rem 1rem 1rem 1rem;
}
.info-info img, .info-info-rev img{
  width: 25vw;
  height: auto;
}
.info-info img{
  border-radius: 100%;
}
.info-info-rev img{
  width: 30vw;
}
.info-info h2{
  font-family: 'DM Serif Display';
  font-size: clamp(21px, 4vw, 32px);
  text-align: center;
  margin-bottom: 2rem;
  letter-spacing: 1px;
  /*
  background: linear-gradient(270deg, #DF8908 10%, #ff1d15 100%);
  background-clip: text;
  color: transparent;*/
}
.info-info p, .info-info-rev p{
  font-family: 'Oswald';
  font-weight: 400;
  font-size: 18px;
  margin-bottom: 2rem;
  text-align: left;
  letter-spacing: 1px;
}
/*---------------------Info---------------------*/


/*---------------------Contact Info---------------------*/
.contact{
  background-color: var(--body-color);
  padding: 1rem 10%;
}
.contact-heading{
  margin: 4rem 0;
}
.contact-container{
  display: grid;
  /*grid-template-columns: auto, auto, auto;*/
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  align-items: center;
  gap: 2rem;
  
}
.contact-box{
  display: flex;
  justify-content: space-evenly;
  align-items: flex-start;
  background: var(--section1-color);
  height: 650px;
}
.contact-info{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  color: var(--text-color);
  padding: 1rem;
}
.contact-btn-container{
  display: inline-flex;
  justify-content: center;
  /*grid-template-columns: auto, auto, auto;*/
  align-items: center;
  text-align: center;
  gap: 2rem;
  padding: 1rem;
}
.contact-heading h1{
  color: var(--bg-color);
  text-align: center;
  font-size: clamp(24px, 5vw, 32px);
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
}
.contact-info h2{
  font-size: clamp(22px, 5vw, 30px);
  margin: 1rem;
  font-family: 'Oswald';
  font-weight: 700;
  letter-spacing: 1px;
}
.contact-info p{
  font-size: 18px;
  font-family: 'Oswald';
  font-weight: 400;
  line-height: 1.7;
  letter-spacing: 1px;
}
.contact-info img{
  max-width: 100%;
  max-height: 350px;
  margin: 2rem 0;
}
.contact-info iframe{
  max-width: 100%;
  margin: 2rem 0;
}
/*---------------------Contact Info---------------------*/


/*---------------------Footer---------------------*/
.footer{
  background-color: var(--section1-color);
  padding-top: 1rem;
  padding-bottom: 1rem;
}
.footer-img{
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
}
.footer-img img{
  width: 15rem;
}
.footer .social-icons{
  text-align: center;
}
.footer ul{
  text-align: center;
  font-size: 1.8rem;
}
.footer ul li{
  display: inline-block;
  margin-left: 20px;
}
.footer ul li a{
  color: white;
  border-bottom: 3px solid transparent;
  transition: 0.3s ease-in-out;
}
.footer ul li a:hover{
  border-bottom: 3px solid var(--main-color);
}
.footer .bottom-text{
  text-align: center;
  padding: 2rem;
}
.footer .bottom-text p{
  font-family: 'Oswald';
  font-weight: 400;
  font-size: 20px;
  letter-spacing: 1px;
  margin-bottom: 1rem;
}
.bottom-text a{
  font-family: 'Oswald';
  font-weight: 400;
  font-size: 20px;
  color: var(--text-color);
}
.bottom-text a:link{
  color: var(--text-color);
  text-decoration: underline;
}
.bottom-text a:hover{
  color: var(--box-header-color);
}
/*---------------------Footer---------------------*/

/*------------------------------------SECONDARY PAGES------------------------------------------*/

/*---------------------Gallery !FUTURE UPDATE!---------------------*/
.gallery{
  background-color: var(--second-bg-color);
  padding: 5rem 5rem;
  margin-top: 9rem;
}
/*---------------------Gallery !FUTURE UPDATE!---------------------*/



/*-------------Shrine, About, Hall Pages Structure-------------*/
.shrine, .about{
  background-color: var(--body-color);
  color: var(--text-color);
  margin-top: 0rem;
  padding: 5rem;
}
.shrine p, .about p{
  color: black;
  font-size: 18px;
  padding: 2rem;
}
.shrine h3, .about h3{
  color: black ;
  font-size: 22px;
  padding: 2rem;
}
.shrine-hero, .about-hero, .hall-hero{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("/images/shrine/shrine-header.JPG?v=1");
  /* Set a specific height */
  height: 40rem;
  margin-top: 8.3rem;
  /* Position and center the image to scale nicely on all screens */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}
.about-hero{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("/images/about-imgs/about-header.JPG?v=1");
}
.hall-hero{
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("images/hall-imgs/hall-header.JPG?v=1");
}
.shrine-hero-text, .about-hero-text, .hall-hero-text{
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.shrine-hero-text img{
  width: 420px;
  height: 270px;
}
.about-hero-text h1, .hall-hero-text h1{
  font-family: 'DM Serif Display';
  font-size: 50px;
  letter-spacing: 1px;
  color: white;
}
/*-------------Shrine, About, Hall Pages Structure-------------*/

/*-------------Calendar Page Structure-------------*/
.calendar{
  background-color: var(--body-color);
  padding: 5rem 5rem;
  margin-top: 0rem;
}

.calendar-container-box{
  background-color: var(--section1-color);
}

.calendar-container{
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2rem;
}

.calendar-container-mobile{
  display: none;
}
/*-------------Calendar Page Structure-------------*/

/*-------------Events Page Structure-------------*/
.events{
  background-color: var(--body-color);
  padding: 5rem 5rem;
  margin-top: 0rem;
}
.events-container {
  max-width: 1100px;
  margin: 0 auto;
}

#events-list iframe {
  margin-bottom: 2rem;
}

/*-------------Events Page Structure-------------*/


/*-------------Horizontal/Vertical Tabs & Accordion Tabs-------------*/

.tab {
  display: flex;
  overflow: hidden;
  background-color: var(--box-header-color);
  justify-content: flex-start;
}
/* Style the buttons inside the tab */
.tab button {
  background-color: inherit;
  color: var(--text-color);
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px;
  transition: 0.3s;
  font-size: 32px;
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  margin: 0;
  flex: 1;
}
/* Change background color of buttons on hover */
.tab button:hover, .sec button:hover {
  background-color: var(--text-color);
  color: var(--section1-color);
}
/* Create an active/current tablink class */
.tab button.active, .sec button.active {
  color: var(--section1-color);
  background-color: var(--body-color);
}


/* Style the tab content */
.tabcontent {
  display: none;
  background-color: var(--section1-color);
  padding: 5rem;
}
.tab-container{
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 1rem;
  /*
  padding: 6px 12px;
  display: none;
  */
}
.tab-items{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 1rem 1rem 1rem 1rem;
  /*
  text-align: center;
  justify-content: center;
  padding: 1rem;
  */
}


.tabcontent h1{
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  font-size: 32px;
  margin: 1rem;
  text-align: left;
  color: var(--text-color)
}
.tab-items img{
  width: 25vw;
}
.tab-items h1{
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  font-size: 32px;
  margin: 0;
  text-align: left;
  color: var(--text-color)
}
.tab-items h2{
  font-family: 'Oswald';
  letter-spacing: 1px;
  font-size: 23px;
  font-weight: 700;
  text-align: left;
  color: var(--text-color)
}
.tab-items h3{
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  font-size: 32px;
  text-align: left;
  color: var(--text-color)
}
.tab-items p{
  font-family: 'Oswald';
  font-weight: 400;
  letter-spacing: 1px;
  padding: 1rem;
  font-size: 18px;
  text-align: left;
  color: var(--text-color);
}
.tab-items a{
  font-family: 'Oswald';
  font-weight: 400;
  letter-spacing: 1px;
  padding: 1rem;
  font-size: 18px;
  text-align: left;
  color: var(--text-color);
  word-wrap: break-word;
  overflow-wrap: break-word;
}
.tab-items a:hover{
  color: var(--box-header-color);
}


.sec {
  display: flex;
  overflow: hidden;
  background-color: var(--box-header-color);
  justify-content: flex-start;
}
/* Style the buttons inside the sec */
.sec button {
  background-color: inherit;
  color: var(--text-color);
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px;
  transition: 0.3s;
  font-size: 32px;
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  margin: 0;
  flex: 1;
}

/* Style the sec content */
.seccontent {
  display: none;
  background-color: var(--section1-color);
  padding: 2rem;
}
.sec-container{
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 1rem;
  /*
  padding: 6px 12px;
  display: none;
  */
}
.sec-items{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 1rem 1rem 1rem 1rem;
  /*
  text-align: center;
  justify-content: center;
  padding: 1rem;
  */
}

.seccontent h1{
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  font-size: 32px;
  margin: 1rem;
  text-align: left;
  color: var(--text-color)
}
.sec-items img{
  width: 25vw;
}
.sec-items h1{
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  font-size: 32px;
  margin-bottom: 1rem;
  text-align: left;
  color: var(--text-color)
}
.sec-items h2{
  font-family: 'Oswald';
  letter-spacing: 1px;
  font-size: 26px;
  font-weight: 700;
  margin-bottom: 1rem;
  text-align: left;
  color: var(--text-color)
}
.sec-items h3{
  font-family: 'DM Serif Display';
  letter-spacing: 1px;
  font-size: 32px;
  margin-bottom: 1rem;
  text-align: left;
  color: var(--text-color)
}
.sec-items p{
  font-family: 'Oswald';
  font-weight: 400;
  letter-spacing: 1px;
  font-size: 18px;
  text-align: left;
  color: var(--text-color);
}


/*-------------Horizontal/Vertical Tabs & Accordion Tabs-------------*/













/*---------------------Responsive Media Queries(Mobile Viewing)---------------------*/
@media(max-width:1285px){

  /*-------------Main Page--------------*/
  #menu-icon{
    display: block;  
  }
  .home-hero{
    height: 45rem;  /* reduce hero height for tablets */
    margin-top: 6rem;
  }
  .navbar{
    position: absolute;
    top:100%;
    right: 0;
    width: 50%;
    padding: 1rem 4rem;
    background: var(--text-color);
    border-left: 2px solid var(--section1-color);
    border-bottom: 2px solid var(--section1-color);
    display: none;
  }
  .navbar a{
    display: block;
    font-size: 2rem;
    margin: 3rem;
    color: var(--bg-color)
  }
  .navbar.active{
    display: block;
  }
  .main-btn{
    display: block;
  }
  .info-info img{
    width: 50vw;
  }
  .info-info-rev img{
    width: 75vw;
  }
  .info-container{
    flex-direction: column-reverse;
  }
  .info-container-rev{
    flex-direction: column;
  }
  .contact form{
    flex-direction: column;
  }
  /*-------------Main Page--------------*/

  /*-------------Secondary Page--------------*/
  .tab, .sec{
    flex-direction: column;
  }

  .tab-container{
    flex-direction: column;
  }

  .tab-items img{
    width: 50vw;
  }
  /*-------------Secondary Page--------------*/
  
  /*-------------Calendar Page--------------*/
  .calendar-container{
    display: none;
  }

  .calendar-container-mobile{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 4rem;
  }
  /*-------------Calendar Page--------------*/
}
/*---------------------Responsive Media Queries(Mobile Viewing)---------------------*/














/*
.btn-group{
  display: flex;
  gap: 1.5rem;
}
.btn-group a:nth-of-type(2){
  background: black;
  color: var(--main-color);
  border: 2px solid var(--main-color);
  box-shadow: 0 0 25px transparent;
}
.btn-group a:nth-of-type(2):hover{
  box-shadow: 0 0 25px var(--main-color);
  background-color: var(--main-color);
  color: black;
}
.our-church{
  background-color: var(--body-color);
  color: var(--text-color);
  margin-top: 8.5rem;
  padding: 1rem 15%;
}
.our-church-container{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
}
.our-church h1{
  font-size: 35px;
  margin-bottom: 1rem;
  text-align: center;
  color: var(--bg-color);
  margin: 5rem;
}
.our-church-body img{
  width: 25vw;
}
.our-church-body h2{
  font-size: 27px;
  margin-bottom: 1rem;
  text-align: left;
  color: var(--bg-color)
}
.our-church-body h3{
  font-size: 18px;
  margin-bottom: 1rem;
  text-align: left;
  color: var(--bg-color)
}
.our-church p{
  font-size: 16px;
  margin-bottom: 2rem;
  text-align: left;
  color: var(--bg-color);
}
.our-church-body{
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  padding: 1rem 1rem 1rem 1rem;
}
.our-church-body img{
    width: 50vw;
}
.our-church-container{
    flex-direction: column;
}
.about{
  flex-direction: column-reverse;
  text-align: center;
}
.about h2{
  text-align: center;
  margin: 2rem 0;
}
.about img{
  width: 52vw;
}

  */